Android studio da uygulama oluştururken ben neden compileSdkVersion seçemiyorum?

Arkadaşlar bu Allahın belası android studio da uygulama oluştururken ben neden compileSdkVersion seçemiyorum !

com-ccf6t3oexmawz47qn7qp.jpg
Metin Yeşiltaş
M
1 kişi takip ediyor.
Misafir olarak yayınla
21
21 CEVAP

Bu şelikde kendisi compilersdk yı 23 seçiyor ve manifestte tanımladığım izinleri runtime istiyor sıkıntı bu bunu aşamazsam eclipseye geri dönecem 6 aydır Android studio kullanıyorum ve gradle belasından çekmediğim kalmadı

Metin Yeşiltaş
M

compileSdkVersion'u gradle dosyasından veya project structure dan (ctrl+ alt+ shift +s) değiştirebilirsiniz. Sdk version 23 ve üzerinde bazı işlemler için (ACCESS_COARSE_LOCATION, ACCESS_FINE_LOCATION, WRITE_EXTERNAL_STORAGE.) runtime permission tanımlamak gerekli.

Suat Snr
S

deniycem eyw

Metin Yeşiltaş
M

permissionlara da burdan bakabilirsiniz.
https://developer.android.com/training/permissions/requesting.html

Suat Snr
S

Ben yeni teknoloji diye loji ve google öneriyor diye Android studio ya geçtim ama burnumdan geldi ufak birşey için orasıyla burasıyla uğraşıyorsun bi yerini yaparken diğer tarafı bozuluyor yani bir yerini değiştirince diğer bozulan yerlerle uğraşmak gerekiyor burada dil değil IDE öğreniyorum sanki eclipsede bunların hiç birisi yoktu hiç bir prolem yaşamıyordum bugunde deneyecem olmazsa geri dönücem eclipseye

Metin Yeşiltaş
M

sadece gradle nin bile bi çuval ayarı var

Metin Yeşiltaş
M

Eclipse candir arada sirada bi arizasi oluyor ama

Yusuf Saldıran
Y

ctrl+ alt+ shift +s) açılan sayfada api17 çeçiyorum uygulama yine izin istemiyor yine istemiyor bakıyorum gradle aynen sabir compile 23 orayı düzenlemesi gerekmiyormu IDE nin ?

Metin Yeşiltaş
M

Eclipseden devam ediyorum yardımlarınız için teşekkürler çünki benim IDE yapısını çözmek için harcayacak zamanım yok

Metin Yeşiltaş
M

Sync etmeniz gerek

Suat Snr
S

Sync ?

Metin Yeşiltaş
M

Gradle içerisinde bişey değiştiği zaman sağ üste otomatik gelir

Suat Snr
S

Project structure penceresini kapattıktan sonra sağ üste gelir hemen

Suat Snr
S

Kod penceresinin

Suat Snr
S

buldum ama bu seferde Error:(3) Error retrieving parent for item: No resource found that matches the given name 'android: Widget. Material. Spinner. Underlined'.

Metin Yeşiltaş
M

çünki api 23 deki materyaller 17 de desteklenmiyor oysa projeyi api 17 seçerek başlatamıyorum sorun orada

Metin Yeşiltaş
M

Hatayı google da aratın veya resmini buraya atın

Suat Snr
S

oradaki hataları sabaha kadar bulamayız verdiği hata şu thema seçiyoruzya şimdi ben map kullanıyorum bunu bulamadığını söylüyor

Metin Yeşiltaş
M

yani sorun xml dosyalarında

Metin Yeşiltaş
M

ben uygulamayı istediğim gibi başlatabilsem böyle olmayacak

Metin Yeşiltaş
M

hatanın tam olarak ne olduğunu anlayamadığım için bisey diyemiyorum, ancak şunları deneyebilirsiniz, design bölümünde çalışırken yukarıdan api level'i değiştirmeyi deneyin veya yine üst menüden apptheme'i değiştirmeyi deneyim

Suat Snr
S